Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.modelmbean
Interface ModelMBeanInfo

All Known Implementing Classes:
  ModelMBeanInfoSupport

public interface ModelMBeanInfo

Interface for manipulating the meta data of a Model MBean.

Version:
  $Revision: 1.4 $
Author:
  Juha Lindfors.

Method Summary
`Object` | `clone()`
`ModelMBeanAttributeInfo` | `getAttribute(String inName)`
`MBeanAttributeInfo[]` | `getAttributes()`
`String` | `getClassName()`
`MBeanConstructorInfo[]` | `getConstructors()`
`String` | `getDescription()`
`Descriptor` | `getDescriptor(String inDescriptorName, String inDescriptorType)`
`Descriptor[]` | `getDescriptors(String descriptorType)` Returns all descriptors with a requested type from a Model MBean.
`Descriptor` | `getMBeanDescriptor()`
`ModelMBeanNotificationInfo` | `getNotification(String inName)`
`MBeanNotificationInfo[]` | `getNotifications()`
`ModelMBeanOperationInfo` | `getOperation(String inName)`
`MBeanOperationInfo[]` | `getOperations()`
`void` | `setDescriptor(Descriptor inDescriptor, String inDescriptorType)`
`void` | `setDescriptors(Descriptor[] inDescriptors)`
`void` | `setMBeanDescriptor(Descriptor inDescriptor)`

Method Detail

### getDescriptors

    public Descriptor[] getDescriptors(String descriptorType)
                                throws MBeanException,
                                       RuntimeOperationsException

  Returns all descriptors with a requested type from a Model MBean. The descriptor type may be one of the following:
  - `MBEAN_DESCRIPTOR`
  - `ATTRIBUTE_DESCRIPTOR`
  - `OPERATION_DESCRIPTOR`
  - `NOTIFICATION_DESCRIPTOR`
  - `CONSTRUCTOR_DESCRIPTOR`
  - `ALL_DESCRIPTORS`

  Parameters:
    `descriptorType` - descriptor type string
  Returns:
    array of descriptors
  Throws:
    `MBeanException` - for no good reason
    `RuntimeOperationsException` - for no good reason

### setDescriptors

    public void setDescriptors(Descriptor[] inDescriptors)
                        throws MBeanException,
                               RuntimeOperationsException

  Throws:
    `MBeanException`
    `RuntimeOperationsException`

### getDescriptor

    public Descriptor getDescriptor(String inDescriptorName,
                                    String inDescriptorType)
                             throws MBeanException,
                                    RuntimeOperationsException

  Throws:
    `MBeanException`
    `RuntimeOperationsException`

### setDescriptor

    public void setDescriptor(Descriptor inDescriptor,
                              String inDescriptorType)
                       throws MBeanException,
                              RuntimeOperationsException

  Throws:
    `MBeanException`
    `RuntimeOperationsException`

### getMBeanDescriptor

    public Descriptor getMBeanDescriptor()
                                  throws MBeanException,
                                         RuntimeOperationsException

  Throws:
    `MBeanException`
    `RuntimeOperationsException`

### setMBeanDescriptor

    public void setMBeanDescriptor(Descriptor inDescriptor)
                            throws MBeanException,
                                   RuntimeOperationsException

  Throws:
    `MBeanException`
    `RuntimeOperationsException`

### getAttribute

    public ModelMBeanAttributeInfo getAttribute(String inName)
                                         throws MBeanException,
                                                RuntimeOperationsException

  Throws:
    `MBeanException`
    `RuntimeOperationsException`

### getOperation

    public ModelMBeanOperationInfo getOperation(String inName)
                                         throws MBeanException,
                                                RuntimeOperationsException

  Throws:
    `MBeanException`
    `RuntimeOperationsException`

### getNotification

    public ModelMBeanNotificationInfo getNotification(String inName)
                                               throws MBeanException,
                                                      RuntimeOperationsException

  Throws:
    `MBeanException`
    `RuntimeOperationsException`

### clone

    public Object clone()

### getAttributes

    public MBeanAttributeInfo[] getAttributes()

### getClassName

    public String getClassName()

### getConstructors

    public MBeanConstructorInfo[] getConstructors()

### getDescription

    public String getDescription()

### getNotifications

    public MBeanNotificationInfo[] getNotifications()

### getOperations

    public MBeanOperationInfo[] getOperations()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.